1
0
mirror of git://projects.qi-hardware.com/eda-tools.git synced 2024-07-01 03:02:56 +03:00

Make schhist more forgiving if profile or top-level sheet is missing.

- schhist/gitsch2ps: issue a (fatal) error only if .pro and .sch are missing
- schhist/gitsch2ps: exit with success if only one of .pro and .sch is
  missing
- schhist/schhist2web: skip commits for which no Postscript was generated
This commit is contained in:
Werner Almesberger 2010-10-04 00:28:28 -03:00
parent 781c92d2d5
commit 02bb696704
2 changed files with 16 additions and 3 deletions

View File

@ -71,15 +71,27 @@ rm -rf "$outdir"
git clone -q -s -n "$dir/.git" "$tmp" || exit
( cd "$tmp" && git checkout -q "$commit"; ) || exit
if [ ! -f "$tmp/$schem" ]; then
echo "$schem not found (checked out into $tmp)" 1>&2
pro=${schem%.sch}.pro
if [ ! -f "$tmp/$pro" -a ! -f "$tmp/$schem" ]; then
echo "neither $pro nor $schem found (checked out into $tmp)" 1>&2
exit 1
fi
if [ ! -f "$tmp/$schem" ]; then
echo "$schem not found (checked out into $tmp), skipping commit" 1>&2
exit 0
fi
if [ ! -f "$tmp/$pro" ]; then
echo "$pronot found (checked out into $tmp), skipping commit" 1>&2
exit 0
fi
(
cd "$sch" || exit
rm -f *.ps
$sanitize_profile "$tmp/${schem%.sch}.pro" || exit
$sanitize_profile "$tmp/$pro" || exit
$sanitize_schem "$tmp/$schem" || exit
eeschema --plot "$tmp/$schem"
) || exit

View File

@ -239,6 +239,7 @@ for n in $first `cd "$dir" && git rev-list --reverse $first..HEAD`; do
#
tmp2=`gitsch2ps -k $sanitize "$dir" "$schname" $n "$tmp"` || exit
for m in "$tmp"/*.ps; do
[ "$m" = "$tmp/*.ps" ] && break
# call sub-sheets by their own name, without prepending the
# top-level sheet's name
name=`basename "$m" .ps`